signconfparser.c File Reference
`#include "parser/confparser.h"`
`#include "parser/signconfparser.h"`
`#include "duration.h"`
`#include "log.h"`
`#include <libxml/parser.h>`
`#include <libxml/xpath.h>`
`#include <libxml/xpathInternals.h>`
`#include <libxml/xmlreader.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

keylist_type * | parse_sc_keys (void *sc, const char *cfgfile)
duration_type * | parse_sc_sig_resign_interval (const char *cfgfile)
duration_type * | parse_sc_sig_refresh_interval (const char *cfgfile)
duration_type * | parse_sc_sig_validity_default (const char *cfgfile)
duration_type * | parse_sc_sig_validity_denial (const char *cfgfile)
duration_type * | parse_sc_sig_validity_keyset (const char *cfgfile)
duration_type * | parse_sc_sig_jitter (const char *cfgfile)
duration_type * | parse_sc_sig_inception_offset (const char *cfgfile)
duration_type * | parse_sc_dnskey_ttl (const char *cfgfile)
const char ** | parse_sc_dnskey_sigrrs (const char *cfgfile)
duration_type * | parse_sc_nsec3param_ttl (const char *cfgfile)
duration_type * | parse_sc_soa_ttl (const char *cfgfile)
duration_type * | parse_sc_soa_min (const char *cfgfile)
duration_type * | parse_sc_max_zone_ttl (const char *cfgfile)
ldns_rr_type | parse_sc_nsec_type (const char *cfgfile)
uint32_t | parse_sc_nsec3_algorithm (const char *cfgfile)
uint32_t | parse_sc_nsec3_iterations (const char *cfgfile)
int | parse_sc_nsec3_optout (const char *cfgfile)
int | parse_sc_passthrough (const char *cfgfile)
const char * | parse_sc_soa_serial (const char *cfgfile)
const char * | parse_sc_nsec3_salt (const char *cfgfile)

## Function Documentation

## parse_sc_dnskey_sigrrs()

const char ** parse_sc_dnskey_sigrrs | ( | const char * | cfgfile | ) |

Definition at line 304 of file signconfparser.c.

## parse_sc_dnskey_ttl()

duration_type * parse_sc_dnskey_ttl | ( | const char * | cfgfile | ) |

Definition at line 288 of file signconfparser.c.

References parse_conf_string().

## parse_sc_keys()

keylist_type * parse_sc_keys | ( | void * | sc,
|  | const char * | cfgfile )

Parse keys from the signer configuration file.

Definition at line 51 of file signconfparser.c.

References key_struct::algorithm, key_struct::flags, keylist_create(), keylist_lookup_by_locator(), keylist_push(), key_struct::ksk, key_struct::publish, and key_struct::zsk.

## parse_sc_max_zone_ttl()

duration_type * parse_sc_max_zone_ttl | ( | const char * | cfgfile | ) |

Definition at line 412 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec3_algorithm()

uint32_t parse_sc_nsec3_algorithm | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 457 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec3_iterations()

uint32_t parse_sc_nsec3_iterations | ( | const char * | cfgfile | ) |

Definition at line 474 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec3_optout()

int parse_sc_nsec3_optout | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Parameters

  [in] | cfgfile | the configuration file name.

Returns
  int integer

Definition at line 491 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec3_salt()

const char * parse_sc_nsec3_salt | ( | const char * | cfgfile | ) |

Definition at line 540 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec3param_ttl()

duration_type * parse_sc_nsec3param_ttl | ( | const char * | cfgfile | ) |

Definition at line 364 of file signconfparser.c.

References parse_conf_string().

## parse_sc_nsec_type()

ldns_rr_type parse_sc_nsec_type | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 432 of file signconfparser.c.

References parse_conf_string().

## parse_sc_passthrough()

int parse_sc_passthrough | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Parameters

  [in] | cfgfile | the configuration file name.

Returns
  boolean

Definition at line 505 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_inception_offset()

duration_type * parse_sc_sig_inception_offset | ( | const char * | cfgfile | ) |

Definition at line 272 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_jitter()

duration_type * parse_sc_sig_jitter | ( | const char * | cfgfile | ) |

Definition at line 256 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_refresh_interval()

duration_type * parse_sc_sig_refresh_interval | ( | const char * | cfgfile | ) |

Definition at line 190 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_resign_interval()

duration_type * parse_sc_sig_resign_interval | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 174 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_validity_default()

duration_type * parse_sc_sig_validity_default | ( | const char * | cfgfile | ) |

Definition at line 206 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_validity_denial()

duration_type * parse_sc_sig_validity_denial | ( | const char * | cfgfile | ) |

Definition at line 222 of file signconfparser.c.

References parse_conf_string().

## parse_sc_sig_validity_keyset()

duration_type * parse_sc_sig_validity_keyset | ( | const char * | cfgfile | ) |

Definition at line 238 of file signconfparser.c.

References parse_conf_string().

## parse_sc_soa_min()

duration_type * parse_sc_soa_min | ( | const char * | cfgfile | ) |

Definition at line 396 of file signconfparser.c.

References parse_conf_string().

## parse_sc_soa_serial()

const char * parse_sc_soa_serial | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 523 of file signconfparser.c.

References parse_conf_string().

## parse_sc_soa_ttl()

duration_type * parse_sc_soa_ttl | ( | const char * | cfgfile | ) |

Definition at line 380 of file signconfparser.c.

References parse_conf_string().